Package org.eclipse.emf.cdo.spi.server

# Class RepositoryConfigurator.Factory

java.lang.Object
org.eclipse.net4j.util.factory.Factory
org.eclipse.emf.cdo.spi.server.RepositoryConfigurator.Factory

All Implemented Interfaces:
  `org.eclipse.net4j.util.container.IManagedContainer.ContainerAware`, `org.eclipse.net4j.util.factory.IFactory`, `org.eclipse.net4j.util.factory.IFactoryKeyAware`

Direct Known Subclasses:
  `RepositoryConfigurator.Factory.Default`

Enclosing class:
  `RepositoryConfigurator`

public abstract static class RepositoryConfigurator.Factory extends org.eclipse.net4j.util.factory.Factory implements org.eclipse.net4j.util.container.IManagedContainer.ContainerAware

Since:
  4.7
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`RepositoryConfigurator.Factory.Default`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PRODUCT_GROUP`

### Fields inherited from class org.eclipse.net4j.util.factory.Factory

`NO_DESCRIPTION`

## Constructor Summary

Constructors
Constructor
Description
`Factory(String type)`

## Method Summary

Modifier and Type
Method
Description
`final RepositoryConfigurator`
`create(String description)`
`abstract RepositoryConfigurator`
`create(org.eclipse.net4j.util.container.IManagedContainer container, String description)`
`void`
`setManagedContainer(org.eclipse.net4j.util.container.IManagedContainer container)`

### Methods inherited from class org.eclipse.net4j.util.factory.Factory

`getDescriptionFor, getFactoryKey, getKey, getProductGroup, getType, productCreationException, productCreationException, setFactoryKey, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PRODUCT_GROUP

public static final String PRODUCT_GROUP

See Also:
  - Constant Field Values

## Constructor Details

### Factory

public Factory(String type)

## Method Details

### setManagedContainer

public void setManagedContainer(org.eclipse.net4j.util.container.IManagedContainer container)

Specified by:
  `setManagedContainer` in interface `org.eclipse.net4j.util.container.IManagedContainer.ContainerAware`

### create

public final RepositoryConfigurator create(String description) throws org.eclipse.net4j.util.factory.ProductCreationException

Specified by:
  `create` in interface `org.eclipse.net4j.util.factory.IFactory`
Throws:
  `org.eclipse.net4j.util.factory.ProductCreationException`

### create

public abstract RepositoryConfigurator create(org.eclipse.net4j.util.container.IManagedContainer container, String description) throws org.eclipse.net4j.util.factory.ProductCreationException

Throws:
  `org.eclipse.net4j.util.factory.ProductCreationException`